<?php
// Tableau des départements d'appartenance
$DEPT = array (
    'CRETEIL'    => 'Val-de-Marne',
    'NICE'       => 'Alpes-Maritimes',
    'LA BAULE'   => 'Loire-Atlantique',
    'STRASBOURG' => 'Bas-Rhin',
    'SAINT MAUR' => 'Val-de-Marne');
// affichage du tableau
echo '--- Affichage de $DEPT ---'.PHP_EOL;
foreach($DEPT as $clef => $valeur)
{
 echo "[$clef]:$valeur\t";
}
echo PHP_EOL;
// ------------------------------
// fonction array_keys()
// ------------------------------
$liste_clefs=array_keys($DEPT);
print_r($liste_clefs);
$liste_clefs=array_keys($DEPT,'Val-de-Marne');
print_r($liste_clefs);
?>